View Issue Details

IDProjectCategoryView StatusLast Update
0003937unrealinstallingpublic2015-08-08 15:57
ReportersyzopAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.4-beta2 
Summary0003937: Automatic compiling and installing of 3rd party (custom) modules
DescriptionIt would be nice to have some sort of way that if you put a 3rd party module in src/modules (or src/modules/somespecialdir) Unreal would automatically compile it too when doing 'make', avoiding the need to do 'make custommodule MODULEFILE=xyz'.

It would be even better if like 3rd party modules would ship with an extra file or something that would specify if there are any EXLIBS=xyz needed. Like in some blah.c.def file or something.

Basically, this way a user can easily upgrade, or adjust (major) settings, and then do 'make' and 'make install', and everything is OK, rather than having to think each time 'oh wait.. I have to run this and that command too'.
Additional InformationKeep backward compatible: keep supporting the current 'make custommodule MODULEFILE=xyz' way, though.
TagsNo tags attached.
3rd party modules

Activities

2010-07-20 18:41

 

unreal-3937-with-custom-modules-r0.patch (26,043 bytes)

ohnobinki

2010-07-20 18:45

reporter   ~0016229

unreal-3937-with-custom-modules-r0.patch: A cleanup of src/modules/Makefile.in and addition of --with-custom-modules= to ./configure. Oh, I had made modifications to ./Config to integrate with the ./configure part, I'll post them when I remember to find them ;-).

This would be the easiest way of solving the problem of automatically handling users' modules. It makes sense to me to define that list of modules at ./configure time and it's not too hard for a user to re-run ./Config (as long as he uses --with-system-cares and --with-system-tre so that he doesn't have to recompile TRE and cares ;-) ).

syzop

2010-07-20 20:42

administrator   ~0016230

I would much rather want it like I said. If you put the module in a certain directory, that they get compiled automatically. The EXLIBS= stuff as mentioned would then be 'nice' if possible, too.

IMO it's not a good idea to force the user to re-run ./Config when he adds a module.

anope basically does it like I described (except for the EXLIBS stuff, but that would be just a bonus, not a requirement). You drop the module in the dir, and it gets compiled.

Anyway, nothing urgent, 3.2.10 ;)

syzop

2015-08-08 15:57

administrator   ~0018590

done in 3.4-beta2, put the .c file in src/modules/third and it compiles them during 'make'.

Also ./Config asks (and checks) for previous unrealircd installations and copies the 3rd party modules from there to the to-be-compiled-unrealircd.

This all making 3rd party modules easier.

Issue History

Date Modified Username Field Change
2010-07-16 13:12 syzop New Issue
2010-07-16 13:12 syzop QA => Not touched yet by developer
2010-07-16 13:12 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2010-07-16 13:12 syzop U4: Upstream notification of bug => Not decided
2010-07-16 13:12 syzop U4: Contributor working on this => None
2010-07-16 13:12 syzop Status new => confirmed
2010-07-16 13:12 syzop Relationship added child of 0003915
2010-07-20 18:41 ohnobinki File Added: unreal-3937-with-custom-modules-r0.patch
2010-07-20 18:45 ohnobinki Note Added: 0016229
2010-07-20 20:42 syzop Note Added: 0016230
2012-10-06 11:47 syzop Relationship deleted child of 0003915
2015-08-08 15:57 syzop Note Added: 0018590
2015-08-08 15:57 syzop Status confirmed => resolved
2015-08-08 15:57 syzop Fixed in Version => 3.4-beta2
2015-08-08 15:57 syzop Resolution open => fixed
2015-08-08 15:57 syzop Assigned To => syzop